namespace Demo;

public partial class VibrationPage : ContentPage
{
    public VibrationPage()
    {
        InitializeComponent();
    }
    private async void OnVibrateButtonClicked(object sender, EventArgs e)
    {
        if (int.TryParse(vibrationDurationEntry.Text, out int duration))
        {
            if (DeviceInfo.Platform == DevicePlatform.Android || DeviceInfo.Platform == DevicePlatform.iOS)
            {
                try
                {
                    Vibration.Vibrate(TimeSpan.FromMilliseconds(duration));
                }
                catch (Exception ex)
                {
                    await DisplayAlert("Error", $"Error vibrating: {ex.Message}", "OK");
                }
            }
            else
            {
                await DisplayAlert("Platform not supported", "Vibration feature is not supported on this platform.", "OK");
            }
        }
        else
        {
            await DisplayAlert("Invalid Input", "Please enter a valid number for vibration duration.", "OK");
        }
    }

    private async void OnStopVibrateButtonClicked(object sender, EventArgs e)
    {
        if (DeviceInfo.Platform == DevicePlatform.Android || DeviceInfo.Platform == DevicePlatform.iOS)
        {
            try
            {
                Vibration.Cancel();
                await DisplayAlert("Vibration Stopped", "Zatrzymano wibracje", "OK");
            }
            catch (Exception ex)
            {
                await DisplayAlert("Error", $"Error stopping vibration: {ex.Message}", "OK");
            }
        }
        else
        {
            await DisplayAlert("No vibration to stop", "No vibration is currently active.", "OK");
        }
    }
}
