namespace Demo;

public partial class WifiPage : ContentPage
{
    public WifiPage()
    {
        InitializeComponent();
        CheckConnection();
        Connectivity.Current.ConnectivityChanged += OnConnectivityChanged;
    }

    private void CheckConnection()
    {
        var networkAccess = Connectivity.Current.NetworkAccess;
        var connectionProfiles = Connectivity.Current.ConnectionProfiles;

        StatusLabel.Text = $"Stan poczenia: {networkAccess}";
        ProfilesLabel.Text = $"Profil poczenia: {string.Join(", ", connectionProfiles)}";
    }

    private void OnConnectivityChanged(object sender, ConnectivityChangedEventArgs e)
    {
        var newNetworkAccess = e.NetworkAccess;
        var newConnectionProfiles = e.ConnectionProfiles;

        MainThread.BeginInvokeOnMainThread(() =>
        {
            StatusLabel.Text = $"Stan poczenia: {newNetworkAccess}";
            ProfilesLabel.Text = $"Profil poczenia: {string.Join(", ", newConnectionProfiles)}";

            Console.WriteLine($"Zmiana stanu poczenia: {newNetworkAccess}");
            Console.WriteLine($"Nowy profil poczenia: {string.Join(", ", newConnectionProfiles)}");
        });
    }

    protected override void OnDisappearing()
    {
        base.OnDisappearing();
        Connectivity.Current.ConnectivityChanged -= OnConnectivityChanged;
    }
}